Skip to content
Sign in with Google

getUserProfile

GET
/v5/users/{idOrUsername}

Retrieve public user identity by immutable id or username. Id takes precedence. No login required.

Parameters

Path Parameters

idOrUsername
required
string

Responses

200

A UserProfile response

object
avatarUrl

The public avatar URL

string
id

The immutable user id

string
name

The public display name

string
username

The current Bkper username

string

Examples

{
"avatarUrl": "string",
"id": "string",
"name": "string",
"username": "string"
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string